/*
 Theme Name:   RADOSC PISANIA
 Author:       Gosia Gozdz myspot.ON
 Template:     Divi
 Version:      1.17

*/

@import url("https://use.typekit.net/tyw5xmp.css");

/* ============== GLOBAL STYLES ============== */

/* Fix a horizontal scroll bug on mobile browsers */
#page-container { 
  overflow:hidden; 
  width:100%; 
  max-width:100%; }

/*SELECTION*/
::selection {
     background-color: #D7E4F6;
     color: #000;} 

body {
  font-variant-ligatures: none;
  font-feature-settings: "liga" 0, "clig" 0;
  -webkit-font-feature-settings: "liga" 0, "clig" 0;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "scale-variable", sans-serif !important;
  font-style: italic;
  font-weight: 700;
  font-variation-settings: "wdth" 75, "wght" 700;
}



/* ============== TEXT STYLE ============== */

ul, li, ol {
  line-height:1.2em!important;
}

:where(.et_pb_text) :is(p,ul,ol,blockquote) ~ :is(h1,h2,h3,h4,h5,h6) {
  padding-top:.75em;
}

:where(.et_pb_text) p:last-of-type {
  padding-bottom:1em;
}
:where(.et_pb_text) :is(p,ul,ol,blockquote):last-child {
  padding-bottom:0;
}

:where(.et_pb_text) ::marker {
  color:var(--gcid-primary-color);
  font-family:var(--et_global_heading_font);
}
:where(.et_pb_text) :is(ol,ul) li:not(:last-child) {
  padding-bottom:.5em;
}

.et_pb_button_module_wrapper .et_pb_button.rp-button,
.et_pb_button_module_wrapper .et_pb_button.rp-button:hover,
.et_pb_button_module_wrapper .et_pb_button.rp-button:focus,
.et_pb_button_module_wrapper .et_pb_button.rp-button:active {
  padding-top:.6em !important;
  padding-right:3em !important;
  padding-bottom:.6em !important;
  padding-left:3em !important;
}



/* Style Blockquotes */
:where(.et_pb_text) blockquote {
  background:#F8E4DC;
  border:none;
  color:inherit;
  font-family:inherit;
  font-size:clamp(18px, 1.8vw, 20px);
  font-style:italic;
  font-weight:700;
  line-height:1.3;
  position:relative;
  padding:42px 30px 30px;
  margin:20px 0;
  text-align:center;
}
:where(.et_pb_text) blockquote::after {
  content:'';
  width:65px;
  height:65px;
  position:absolute;
  left:50%;
  top:0;
  transform:translate(-50%, -50%);
  background-color:#EF326B;
  -webkit-mask:url("/wp-content/uploads/2026/04/quote.svg") center/contain no-repeat;
  mask:url("/wp-content/uploads/2026/04/quote.svg") center/contain no-repeat;
}
:where(.et_pb_text) blockquote::before {
  content:none;
}



/* ============== BACK TO TOP ============== */
.et_pb_scroll_top.et-pb-icon {
  background: transparent;
  color: #000;
  padding: 12px;
  font-size: 22px;
  right: 20px;
  bottom: 40px !important;
}

.et_pb_scroll_top.et-pb-icon.et-visible {
  transition: all .3s ease-in-out;
}

@media (max-width:980px){
.et_pb_scroll_top:before {
  content: '!';
}

.et_pb_scroll_top.et-pb-icon {
  background: #EEF2F5;
  border-radius:08px;
  color: #000;
  padding: 12px;
  font-size: 22px;
  right: 10px;
  bottom: 10px !important;
}}



/* ===================== FORMULARZ ===================== */

.forminator-field input,
span.select2-selection.select2-selection--single,
textarea {
    padding: 15px!important;}

#checkbox-1 label {
    align-items:flex-start!important;}

span.forminator-checkbox-label {
    line-height:1.2em!important;
    text-align:left!important;
    font-size:14px!important;
    color:#195D51;
    width:80%;}

@media (max-width:980px){
	span.forminator-checkbox-label {
width:100%;}
}


button.forminator-button.forminator-button-submit {
    border-radius:40px!important;
    font-size:18px!important;
    padding:0.75em 3em!important;
    display: block!important;
    margin-left: auto!important;
    margin-top:20px!important;
    text-transform:uppercase;
}

button.forminator-button.forminator-button-submit:hover {
   background:#F3BE3D!important;
    box-shadow:none!important;}


/* =========================
   FOOTER
========================= */
@media (max-width:980px) {
  #pm-footer .et_mobile_nav_menu {
    display: none!important;
  }
  #pm-footer .et_pb_menu__menu {
    display: block!important;
  }
  #pm-footer .et_pb_menu__menu,
  #pm-footer .et_pb_menu__menu > nav > ul {
    display: flex;
    flex-direction: column!important;
    flex-wrap: nowrap!important;
  }
  #pm-footer .et_pb_menu--style-left_aligned .et_pb_menu__wrap {
    justify-content: flex-start!important;
  }
  #pm-footer .kp-regulaminy .et_pb_menu__menu > nav > ul {
    flex-direction: row!important;
    justify-content: flex-start!important;
    flex-wrap: wrap!important;
  }
}